org.apache.uima.cas.impl

## Class FeatureStructureImplC

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.cas.impl.FeatureStructureImplC

- All Implemented Interfaces:
    Cloneable, FeatureStructure
  Direct Known Subclasses:
    AnnotationBaseImpl, CommonArrayFSImpl, CommonAuxArrayFSImpl, SofaFSImpl

      public class FeatureStructureImplC
      extends FeatureStructureImpl

  Feature structure implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `addr`
    `protected CASImpl` | `casImpl`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FeatureStructureImplC()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` A feature structure is equal to another feature structure iff it is identical in the underlying representation.
    `int` | `getAddress()`
    `CAS` | `getCAS()` Return the CAS that this FS belongs to.
    `CASImpl` | `getCASImpl()`
    `int` | `hashCode()` Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### casImpl

          protected final CASImpl casImpl

    - #### addr

          protected final int addr

  - ### Constructor Detail

    - #### FeatureStructureImplC

          protected FeatureStructureImplC()

  - ### Method Detail

    - #### getAddress

          public int getAddress()

      Specified by:
        `getAddress` in class `FeatureStructureImpl`

    - #### getCAS

          public CAS getCAS()

      Description copied from interface: `FeatureStructure`
      Return the CAS that this FS belongs to.
      Returns:
        The CAS.

    - #### getCASImpl

          public CASImpl getCASImpl()

      Specified by:
        `getCASImpl` in class `FeatureStructureImpl`

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `FeatureStructure`
      A feature structure is equal to another feature structure iff it is identical in the underlying representation.
      Specified by:
        `equals` in interface `FeatureStructure`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Description copied from interface: `FeatureStructure`
      Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.
      Specified by:
        `hashCode` in interface `FeatureStructure`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        The hash code.

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.